Loading...
Searching...
No Matches
osim_card_app_hdl Struct Reference

descriptor for a given application present on a card More...

`#include <sim.h>`

## Data Fields

struct llist_head | list
| member in card list of applications
uint8_t | aid [MAX_AID_LEN]
| AID of the application.
uint8_t | aid_len
char * | label
| application label from EF_DIR
const struct osim_card_app_profile * | prof
| application profile (if any known)

## Detailed Description

descriptor for a given application present on a card

## Field Documentation

## aid

uint8_t osim_card_app_hdl::aid[MAX_AID_LEN]

AID of the application.

Referenced by osim_card_hdl_add_app(), and osim_card_hdl_find_app().

## aid_len

uint8_t osim_card_app_hdl::aid_len

Referenced by osim_card_hdl_add_app(), and osim_card_hdl_find_app().

## label

char* osim_card_app_hdl::label

application label from EF_DIR

Referenced by osim_card_hdl_add_app().

## list

struct llist_head osim_card_app_hdl::list

member in card list of applications

Referenced by osim_card_hdl_add_app(), and osim_card_hdl_find_app().

## prof

const struct osim_card_app_profile* osim_card_app_hdl::prof

application profile (if any known)

Referenced by osim_card_hdl_add_app(), osim_print_sw_buf(), and osim_sw_class().

The documentation for this struct was generated from the following file:

- include/osmocom/sim/sim.h